/// <reference types="node" />
export interface LoggerOptions {
    level: 1 | 2 | 3 | 4 | 5 | 6;
    handleLogEntry?: (level: string, args: any[]) => any;
    stream?: NodeJS.WritableStream;
}
export default class Logger {
    static readonly FATAL: number;
    static readonly ERROR: number;
    static readonly WARN: number;
    static readonly INFO: number;
    static readonly DEBUG: number;
    static readonly TRACE: number;
    private options;
    constructor(opts?: LoggerOptions);
    fatal(...args: any[]): void;
    error(...args: any[]): void;
    warn(...args: any[]): void;
    info(...args: any[]): void;
    debug(...args: any[]): void;
    trace(...args: any[]): void;
    private log(levelStr, args);
}
